Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network191.176.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
191.176.0.0
Broadcast address
191.191.255.255
First usable
191.176.0.1
Last usable
191.191.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Public public
Old class
B (default /16)
As numbers
Hex BFB00000 · Integer 3215982592 to 3217031167
Reverse DNS zones
176.191.in-addr.arpa
177.191.in-addr.arpa
178.191.in-addr.arpa
179.191.in-addr.arpa
180.191.in-addr.arpa
181.191.in-addr.arpa
182.191.in-addr.arpa
183.191.in-addr.arpa
184.191.in-addr.arpa
185.191.in-addr.arpa
186.191.in-addr.arpa
187.191.in-addr.arpa
188.191.in-addr.arpa
189.191.in-addr.arpa
190.191.in-addr.arpa
191.191.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111111.10110000.00000000.00000000191.176.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network10111111.10110000.00000000.00000000191.176.0.0
Broadcast10111111.10111111.11111111.11111111191.191.255.255
Split into smaller subnets/21

191.176.0.0/12 makes 512 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1191.176.0.0/21191.176.0.1 to 191.176.7.254191.176.7.2552,046
2191.176.8.0/21191.176.8.1 to 191.176.15.254191.176.15.2552,046
3191.176.16.0/21191.176.16.1 to 191.176.23.254191.176.23.2552,046
4191.176.24.0/21191.176.24.1 to 191.176.31.254191.176.31.2552,046
5191.176.32.0/21191.176.32.1 to 191.176.39.254191.176.39.2552,046
6191.176.40.0/21191.176.40.1 to 191.176.47.254191.176.47.2552,046
7191.176.48.0/21191.176.48.1 to 191.176.55.254191.176.55.2552,046
8191.176.56.0/21191.176.56.1 to 191.176.63.254191.176.63.2552,046
9191.176.64.0/21191.176.64.1 to 191.176.71.254191.176.71.2552,046
10191.176.72.0/21191.176.72.1 to 191.176.79.254191.176.79.2552,046
11191.176.80.0/21191.176.80.1 to 191.176.87.254191.176.87.2552,046
12191.176.88.0/21191.176.88.1 to 191.176.95.254191.176.95.2552,046
13191.176.96.0/21191.176.96.1 to 191.176.103.254191.176.103.2552,046
14191.176.104.0/21191.176.104.1 to 191.176.111.254191.176.111.2552,046
15191.176.112.0/21191.176.112.1 to 191.176.119.254191.176.119.2552,046
16191.176.120.0/21191.176.120.1 to 191.176.127.254191.176.127.2552,046
17191.176.128.0/21191.176.128.1 to 191.176.135.254191.176.135.2552,046
18191.176.136.0/21191.176.136.1 to 191.176.143.254191.176.143.2552,046
19191.176.144.0/21191.176.144.1 to 191.176.151.254191.176.151.2552,046
20191.176.152.0/21191.176.152.1 to 191.176.159.254191.176.159.2552,046
21191.176.160.0/21191.176.160.1 to 191.176.167.254191.176.167.2552,046
22191.176.168.0/21191.176.168.1 to 191.176.175.254191.176.175.2552,046
23191.176.176.0/21191.176.176.1 to 191.176.183.254191.176.183.2552,046
24191.176.184.0/21191.176.184.1 to 191.176.191.254191.176.191.2552,046
25191.176.192.0/21191.176.192.1 to 191.176.199.254191.176.199.2552,046
26191.176.200.0/21191.176.200.1 to 191.176.207.254191.176.207.2552,046
27191.176.208.0/21191.176.208.1 to 191.176.215.254191.176.215.2552,046
28191.176.216.0/21191.176.216.1 to 191.176.223.254191.176.223.2552,046
29191.176.224.0/21191.176.224.1 to 191.176.231.254191.176.231.2552,046
30191.176.232.0/21191.176.232.1 to 191.176.239.254191.176.239.2552,046
31191.176.240.0/21191.176.240.1 to 191.176.247.254191.176.247.2552,046
32191.176.248.0/21191.176.248.1 to 191.176.255.254191.176.255.2552,046
33191.177.0.0/21191.177.0.1 to 191.177.7.254191.177.7.2552,046
34191.177.8.0/21191.177.8.1 to 191.177.15.254191.177.15.2552,046
35191.177.16.0/21191.177.16.1 to 191.177.23.254191.177.23.2552,046
36191.177.24.0/21191.177.24.1 to 191.177.31.254191.177.31.2552,046
37191.177.32.0/21191.177.32.1 to 191.177.39.254191.177.39.2552,046
38191.177.40.0/21191.177.40.1 to 191.177.47.254191.177.47.2552,046
39191.177.48.0/21191.177.48.1 to 191.177.55.254191.177.55.2552,046
40191.177.56.0/21191.177.56.1 to 191.177.63.254191.177.63.2552,046
41191.177.64.0/21191.177.64.1 to 191.177.71.254191.177.71.2552,046
42191.177.72.0/21191.177.72.1 to 191.177.79.254191.177.79.2552,046
43191.177.80.0/21191.177.80.1 to 191.177.87.254191.177.87.2552,046
44191.177.88.0/21191.177.88.1 to 191.177.95.254191.177.95.2552,046
45191.177.96.0/21191.177.96.1 to 191.177.103.254191.177.103.2552,046
46191.177.104.0/21191.177.104.1 to 191.177.111.254191.177.111.2552,046
47191.177.112.0/21191.177.112.1 to 191.177.119.254191.177.119.2552,046
48191.177.120.0/21191.177.120.1 to 191.177.127.254191.177.127.2552,046
49191.177.128.0/21191.177.128.1 to 191.177.135.254191.177.135.2552,046
50191.177.136.0/21191.177.136.1 to 191.177.143.254191.177.143.2552,046
51191.177.144.0/21191.177.144.1 to 191.177.151.254191.177.151.2552,046
52191.177.152.0/21191.177.152.1 to 191.177.159.254191.177.159.2552,046
53191.177.160.0/21191.177.160.1 to 191.177.167.254191.177.167.2552,046
54191.177.168.0/21191.177.168.1 to 191.177.175.254191.177.175.2552,046
55191.177.176.0/21191.177.176.1 to 191.177.183.254191.177.183.2552,046
56191.177.184.0/21191.177.184.1 to 191.177.191.254191.177.191.2552,046
57191.177.192.0/21191.177.192.1 to 191.177.199.254191.177.199.2552,046
58191.177.200.0/21191.177.200.1 to 191.177.207.254191.177.207.2552,046
59191.177.208.0/21191.177.208.1 to 191.177.215.254191.177.215.2552,046
60191.177.216.0/21191.177.216.1 to 191.177.223.254191.177.223.2552,046
61191.177.224.0/21191.177.224.1 to 191.177.231.254191.177.231.2552,046
62191.177.232.0/21191.177.232.1 to 191.177.239.254191.177.239.2552,046
63191.177.240.0/21191.177.240.1 to 191.177.247.254191.177.247.2552,046
64191.177.248.0/21191.177.248.1 to 191.177.255.254191.177.255.2552,046
65191.178.0.0/21191.178.0.1 to 191.178.7.254191.178.7.2552,046
66191.178.8.0/21191.178.8.1 to 191.178.15.254191.178.15.2552,046
67191.178.16.0/21191.178.16.1 to 191.178.23.254191.178.23.2552,046
68191.178.24.0/21191.178.24.1 to 191.178.31.254191.178.31.2552,046
69191.178.32.0/21191.178.32.1 to 191.178.39.254191.178.39.2552,046
70191.178.40.0/21191.178.40.1 to 191.178.47.254191.178.47.2552,046
71191.178.48.0/21191.178.48.1 to 191.178.55.254191.178.55.2552,046
72191.178.56.0/21191.178.56.1 to 191.178.63.254191.178.63.2552,046
73191.178.64.0/21191.178.64.1 to 191.178.71.254191.178.71.2552,046
74191.178.72.0/21191.178.72.1 to 191.178.79.254191.178.79.2552,046
75191.178.80.0/21191.178.80.1 to 191.178.87.254191.178.87.2552,046
76191.178.88.0/21191.178.88.1 to 191.178.95.254191.178.95.2552,046
77191.178.96.0/21191.178.96.1 to 191.178.103.254191.178.103.2552,046
78191.178.104.0/21191.178.104.1 to 191.178.111.254191.178.111.2552,046
79191.178.112.0/21191.178.112.1 to 191.178.119.254191.178.119.2552,046
80191.178.120.0/21191.178.120.1 to 191.178.127.254191.178.127.2552,046
81191.178.128.0/21191.178.128.1 to 191.178.135.254191.178.135.2552,046
82191.178.136.0/21191.178.136.1 to 191.178.143.254191.178.143.2552,046
83191.178.144.0/21191.178.144.1 to 191.178.151.254191.178.151.2552,046
84191.178.152.0/21191.178.152.1 to 191.178.159.254191.178.159.2552,046
85191.178.160.0/21191.178.160.1 to 191.178.167.254191.178.167.2552,046
86191.178.168.0/21191.178.168.1 to 191.178.175.254191.178.175.2552,046
87191.178.176.0/21191.178.176.1 to 191.178.183.254191.178.183.2552,046
88191.178.184.0/21191.178.184.1 to 191.178.191.254191.178.191.2552,046
89191.178.192.0/21191.178.192.1 to 191.178.199.254191.178.199.2552,046
90191.178.200.0/21191.178.200.1 to 191.178.207.254191.178.207.2552,046
91191.178.208.0/21191.178.208.1 to 191.178.215.254191.178.215.2552,046
92191.178.216.0/21191.178.216.1 to 191.178.223.254191.178.223.2552,046
93191.178.224.0/21191.178.224.1 to 191.178.231.254191.178.231.2552,046
94191.178.232.0/21191.178.232.1 to 191.178.239.254191.178.239.2552,046
95191.178.240.0/21191.178.240.1 to 191.178.247.254191.178.247.2552,046
96191.178.248.0/21191.178.248.1 to 191.178.255.254191.178.255.2552,046
97191.179.0.0/21191.179.0.1 to 191.179.7.254191.179.7.2552,046
98191.179.8.0/21191.179.8.1 to 191.179.15.254191.179.15.2552,046
99191.179.16.0/21191.179.16.1 to 191.179.23.254191.179.23.2552,046
100191.179.24.0/21191.179.24.1 to 191.179.31.254191.179.31.2552,046
101191.179.32.0/21191.179.32.1 to 191.179.39.254191.179.39.2552,046
102191.179.40.0/21191.179.40.1 to 191.179.47.254191.179.47.2552,046
103191.179.48.0/21191.179.48.1 to 191.179.55.254191.179.55.2552,046
104191.179.56.0/21191.179.56.1 to 191.179.63.254191.179.63.2552,046
105191.179.64.0/21191.179.64.1 to 191.179.71.254191.179.71.2552,046
106191.179.72.0/21191.179.72.1 to 191.179.79.254191.179.79.2552,046
107191.179.80.0/21191.179.80.1 to 191.179.87.254191.179.87.2552,046
108191.179.88.0/21191.179.88.1 to 191.179.95.254191.179.95.2552,046
109191.179.96.0/21191.179.96.1 to 191.179.103.254191.179.103.2552,046
110191.179.104.0/21191.179.104.1 to 191.179.111.254191.179.111.2552,046
111191.179.112.0/21191.179.112.1 to 191.179.119.254191.179.119.2552,046
112191.179.120.0/21191.179.120.1 to 191.179.127.254191.179.127.2552,046
113191.179.128.0/21191.179.128.1 to 191.179.135.254191.179.135.2552,046
114191.179.136.0/21191.179.136.1 to 191.179.143.254191.179.143.2552,046
115191.179.144.0/21191.179.144.1 to 191.179.151.254191.179.151.2552,046
116191.179.152.0/21191.179.152.1 to 191.179.159.254191.179.159.2552,046
117191.179.160.0/21191.179.160.1 to 191.179.167.254191.179.167.2552,046
118191.179.168.0/21191.179.168.1 to 191.179.175.254191.179.175.2552,046
119191.179.176.0/21191.179.176.1 to 191.179.183.254191.179.183.2552,046
120191.179.184.0/21191.179.184.1 to 191.179.191.254191.179.191.2552,046
121191.179.192.0/21191.179.192.1 to 191.179.199.254191.179.199.2552,046
122191.179.200.0/21191.179.200.1 to 191.179.207.254191.179.207.2552,046
123191.179.208.0/21191.179.208.1 to 191.179.215.254191.179.215.2552,046
124191.179.216.0/21191.179.216.1 to 191.179.223.254191.179.223.2552,046
125191.179.224.0/21191.179.224.1 to 191.179.231.254191.179.231.2552,046
126191.179.232.0/21191.179.232.1 to 191.179.239.254191.179.239.2552,046
127191.179.240.0/21191.179.240.1 to 191.179.247.254191.179.247.2552,046
128191.179.248.0/21191.179.248.1 to 191.179.255.254191.179.255.2552,046
129191.180.0.0/21191.180.0.1 to 191.180.7.254191.180.7.2552,046
130191.180.8.0/21191.180.8.1 to 191.180.15.254191.180.15.2552,046
131191.180.16.0/21191.180.16.1 to 191.180.23.254191.180.23.2552,046
132191.180.24.0/21191.180.24.1 to 191.180.31.254191.180.31.2552,046
133191.180.32.0/21191.180.32.1 to 191.180.39.254191.180.39.2552,046
134191.180.40.0/21191.180.40.1 to 191.180.47.254191.180.47.2552,046
135191.180.48.0/21191.180.48.1 to 191.180.55.254191.180.55.2552,046
136191.180.56.0/21191.180.56.1 to 191.180.63.254191.180.63.2552,046
137191.180.64.0/21191.180.64.1 to 191.180.71.254191.180.71.2552,046
138191.180.72.0/21191.180.72.1 to 191.180.79.254191.180.79.2552,046
139191.180.80.0/21191.180.80.1 to 191.180.87.254191.180.87.2552,046
140191.180.88.0/21191.180.88.1 to 191.180.95.254191.180.95.2552,046
141191.180.96.0/21191.180.96.1 to 191.180.103.254191.180.103.2552,046
142191.180.104.0/21191.180.104.1 to 191.180.111.254191.180.111.2552,046
143191.180.112.0/21191.180.112.1 to 191.180.119.254191.180.119.2552,046
144191.180.120.0/21191.180.120.1 to 191.180.127.254191.180.127.2552,046
145191.180.128.0/21191.180.128.1 to 191.180.135.254191.180.135.2552,046
146191.180.136.0/21191.180.136.1 to 191.180.143.254191.180.143.2552,046
147191.180.144.0/21191.180.144.1 to 191.180.151.254191.180.151.2552,046
148191.180.152.0/21191.180.152.1 to 191.180.159.254191.180.159.2552,046
149191.180.160.0/21191.180.160.1 to 191.180.167.254191.180.167.2552,046
150191.180.168.0/21191.180.168.1 to 191.180.175.254191.180.175.2552,046
151191.180.176.0/21191.180.176.1 to 191.180.183.254191.180.183.2552,046
152191.180.184.0/21191.180.184.1 to 191.180.191.254191.180.191.2552,046
153191.180.192.0/21191.180.192.1 to 191.180.199.254191.180.199.2552,046
154191.180.200.0/21191.180.200.1 to 191.180.207.254191.180.207.2552,046
155191.180.208.0/21191.180.208.1 to 191.180.215.254191.180.215.2552,046
156191.180.216.0/21191.180.216.1 to 191.180.223.254191.180.223.2552,046
157191.180.224.0/21191.180.224.1 to 191.180.231.254191.180.231.2552,046
158191.180.232.0/21191.180.232.1 to 191.180.239.254191.180.239.2552,046
159191.180.240.0/21191.180.240.1 to 191.180.247.254191.180.247.2552,046
160191.180.248.0/21191.180.248.1 to 191.180.255.254191.180.255.2552,046
161191.181.0.0/21191.181.0.1 to 191.181.7.254191.181.7.2552,046
162191.181.8.0/21191.181.8.1 to 191.181.15.254191.181.15.2552,046
163191.181.16.0/21191.181.16.1 to 191.181.23.254191.181.23.2552,046
164191.181.24.0/21191.181.24.1 to 191.181.31.254191.181.31.2552,046
165191.181.32.0/21191.181.32.1 to 191.181.39.254191.181.39.2552,046
166191.181.40.0/21191.181.40.1 to 191.181.47.254191.181.47.2552,046
167191.181.48.0/21191.181.48.1 to 191.181.55.254191.181.55.2552,046
168191.181.56.0/21191.181.56.1 to 191.181.63.254191.181.63.2552,046
169191.181.64.0/21191.181.64.1 to 191.181.71.254191.181.71.2552,046
170191.181.72.0/21191.181.72.1 to 191.181.79.254191.181.79.2552,046
171191.181.80.0/21191.181.80.1 to 191.181.87.254191.181.87.2552,046
172191.181.88.0/21191.181.88.1 to 191.181.95.254191.181.95.2552,046
173191.181.96.0/21191.181.96.1 to 191.181.103.254191.181.103.2552,046
174191.181.104.0/21191.181.104.1 to 191.181.111.254191.181.111.2552,046
175191.181.112.0/21191.181.112.1 to 191.181.119.254191.181.119.2552,046
176191.181.120.0/21191.181.120.1 to 191.181.127.254191.181.127.2552,046
177191.181.128.0/21191.181.128.1 to 191.181.135.254191.181.135.2552,046
178191.181.136.0/21191.181.136.1 to 191.181.143.254191.181.143.2552,046
179191.181.144.0/21191.181.144.1 to 191.181.151.254191.181.151.2552,046
180191.181.152.0/21191.181.152.1 to 191.181.159.254191.181.159.2552,046
181191.181.160.0/21191.181.160.1 to 191.181.167.254191.181.167.2552,046
182191.181.168.0/21191.181.168.1 to 191.181.175.254191.181.175.2552,046
183191.181.176.0/21191.181.176.1 to 191.181.183.254191.181.183.2552,046
184191.181.184.0/21191.181.184.1 to 191.181.191.254191.181.191.2552,046
185191.181.192.0/21191.181.192.1 to 191.181.199.254191.181.199.2552,046
186191.181.200.0/21191.181.200.1 to 191.181.207.254191.181.207.2552,046
187191.181.208.0/21191.181.208.1 to 191.181.215.254191.181.215.2552,046
188191.181.216.0/21191.181.216.1 to 191.181.223.254191.181.223.2552,046
189191.181.224.0/21191.181.224.1 to 191.181.231.254191.181.231.2552,046
190191.181.232.0/21191.181.232.1 to 191.181.239.254191.181.239.2552,046
191191.181.240.0/21191.181.240.1 to 191.181.247.254191.181.247.2552,046
192191.181.248.0/21191.181.248.1 to 191.181.255.254191.181.255.2552,046
193191.182.0.0/21191.182.0.1 to 191.182.7.254191.182.7.2552,046
194191.182.8.0/21191.182.8.1 to 191.182.15.254191.182.15.2552,046
195191.182.16.0/21191.182.16.1 to 191.182.23.254191.182.23.2552,046
196191.182.24.0/21191.182.24.1 to 191.182.31.254191.182.31.2552,046
197191.182.32.0/21191.182.32.1 to 191.182.39.254191.182.39.2552,046
198191.182.40.0/21191.182.40.1 to 191.182.47.254191.182.47.2552,046
199191.182.48.0/21191.182.48.1 to 191.182.55.254191.182.55.2552,046
200191.182.56.0/21191.182.56.1 to 191.182.63.254191.182.63.2552,046
201191.182.64.0/21191.182.64.1 to 191.182.71.254191.182.71.2552,046
202191.182.72.0/21191.182.72.1 to 191.182.79.254191.182.79.2552,046
203191.182.80.0/21191.182.80.1 to 191.182.87.254191.182.87.2552,046
204191.182.88.0/21191.182.88.1 to 191.182.95.254191.182.95.2552,046
205191.182.96.0/21191.182.96.1 to 191.182.103.254191.182.103.2552,046
206191.182.104.0/21191.182.104.1 to 191.182.111.254191.182.111.2552,046
207191.182.112.0/21191.182.112.1 to 191.182.119.254191.182.119.2552,046
208191.182.120.0/21191.182.120.1 to 191.182.127.254191.182.127.2552,046
209191.182.128.0/21191.182.128.1 to 191.182.135.254191.182.135.2552,046
210191.182.136.0/21191.182.136.1 to 191.182.143.254191.182.143.2552,046
211191.182.144.0/21191.182.144.1 to 191.182.151.254191.182.151.2552,046
212191.182.152.0/21191.182.152.1 to 191.182.159.254191.182.159.2552,046
213191.182.160.0/21191.182.160.1 to 191.182.167.254191.182.167.2552,046
214191.182.168.0/21191.182.168.1 to 191.182.175.254191.182.175.2552,046
215191.182.176.0/21191.182.176.1 to 191.182.183.254191.182.183.2552,046
216191.182.184.0/21191.182.184.1 to 191.182.191.254191.182.191.2552,046
217191.182.192.0/21191.182.192.1 to 191.182.199.254191.182.199.2552,046
218191.182.200.0/21191.182.200.1 to 191.182.207.254191.182.207.2552,046
219191.182.208.0/21191.182.208.1 to 191.182.215.254191.182.215.2552,046
220191.182.216.0/21191.182.216.1 to 191.182.223.254191.182.223.2552,046
221191.182.224.0/21191.182.224.1 to 191.182.231.254191.182.231.2552,046
222191.182.232.0/21191.182.232.1 to 191.182.239.254191.182.239.2552,046
223191.182.240.0/21191.182.240.1 to 191.182.247.254191.182.247.2552,046
224191.182.248.0/21191.182.248.1 to 191.182.255.254191.182.255.2552,046
225191.183.0.0/21191.183.0.1 to 191.183.7.254191.183.7.2552,046
226191.183.8.0/21191.183.8.1 to 191.183.15.254191.183.15.2552,046
227191.183.16.0/21191.183.16.1 to 191.183.23.254191.183.23.2552,046
228191.183.24.0/21191.183.24.1 to 191.183.31.254191.183.31.2552,046
229191.183.32.0/21191.183.32.1 to 191.183.39.254191.183.39.2552,046
230191.183.40.0/21191.183.40.1 to 191.183.47.254191.183.47.2552,046
231191.183.48.0/21191.183.48.1 to 191.183.55.254191.183.55.2552,046
232191.183.56.0/21191.183.56.1 to 191.183.63.254191.183.63.2552,046
233191.183.64.0/21191.183.64.1 to 191.183.71.254191.183.71.2552,046
234191.183.72.0/21191.183.72.1 to 191.183.79.254191.183.79.2552,046
235191.183.80.0/21191.183.80.1 to 191.183.87.254191.183.87.2552,046
236191.183.88.0/21191.183.88.1 to 191.183.95.254191.183.95.2552,046
237191.183.96.0/21191.183.96.1 to 191.183.103.254191.183.103.2552,046
238191.183.104.0/21191.183.104.1 to 191.183.111.254191.183.111.2552,046
239191.183.112.0/21191.183.112.1 to 191.183.119.254191.183.119.2552,046
240191.183.120.0/21191.183.120.1 to 191.183.127.254191.183.127.2552,046
241191.183.128.0/21191.183.128.1 to 191.183.135.254191.183.135.2552,046
242191.183.136.0/21191.183.136.1 to 191.183.143.254191.183.143.2552,046
243191.183.144.0/21191.183.144.1 to 191.183.151.254191.183.151.2552,046
244191.183.152.0/21191.183.152.1 to 191.183.159.254191.183.159.2552,046
245191.183.160.0/21191.183.160.1 to 191.183.167.254191.183.167.2552,046
246191.183.168.0/21191.183.168.1 to 191.183.175.254191.183.175.2552,046
247191.183.176.0/21191.183.176.1 to 191.183.183.254191.183.183.2552,046
248191.183.184.0/21191.183.184.1 to 191.183.191.254191.183.191.2552,046
249191.183.192.0/21191.183.192.1 to 191.183.199.254191.183.199.2552,046
250191.183.200.0/21191.183.200.1 to 191.183.207.254191.183.207.2552,046
251191.183.208.0/21191.183.208.1 to 191.183.215.254191.183.215.2552,046
252191.183.216.0/21191.183.216.1 to 191.183.223.254191.183.223.2552,046
253191.183.224.0/21191.183.224.1 to 191.183.231.254191.183.231.2552,046
254191.183.232.0/21191.183.232.1 to 191.183.239.254191.183.239.2552,046
255191.183.240.0/21191.183.240.1 to 191.183.247.254191.183.247.2552,046
256191.183.248.0/21191.183.248.1 to 191.183.255.254191.183.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses